Explain a score gap between two models
curl --request POST \
--url https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/evaluations/explain \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"evaluator_name": "<string>",
"model_a": {
"label": "<string>",
"score": 50,
"passed": true,
"reasoning": "",
"criteria": [],
"issues": [],
"evidence": []
},
"model_b": {
"label": "<string>",
"score": 50,
"passed": true,
"reasoning": "",
"criteria": [],
"issues": [],
"evidence": []
}
}
'import requests
url = "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/evaluations/explain"
payload = {
"evaluator_name": "<string>",
"model_a": {
"label": "<string>",
"score": 50,
"passed": True,
"reasoning": "",
"criteria": [],
"issues": [],
"evidence": []
},
"model_b": {
"label": "<string>",
"score": 50,
"passed": True,
"reasoning": "",
"criteria": [],
"issues": [],
"evidence": []
}
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
evaluator_name: '<string>',
model_a: {
label: '<string>',
score: 50,
passed: true,
reasoning: '',
criteria: [],
issues: [],
evidence: []
},
model_b: {
label: '<string>',
score: 50,
passed: true,
reasoning: '',
criteria: [],
issues: [],
evidence: []
}
})
};
fetch('https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/evaluations/explain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/evaluations/explain",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'evaluator_name' => '<string>',
'model_a' => [
'label' => '<string>',
'score' => 50,
'passed' => true,
'reasoning' => '',
'criteria' => [
],
'issues' => [
],
'evidence' => [
]
],
'model_b' => [
'label' => '<string>',
'score' => 50,
'passed' => true,
'reasoning' => '',
'criteria' => [
],
'issues' => [
],
'evidence' => [
]
]
]),
CURLOPT_COOKIE => "session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/evaluations/explain"
payload := strings.NewReader("{\n \"evaluator_name\": \"<string>\",\n \"model_a\": {\n \"label\": \"<string>\",\n \"score\": 50,\n \"passed\": true,\n \"reasoning\": \"\",\n \"criteria\": [],\n \"issues\": [],\n \"evidence\": []\n },\n \"model_b\": {\n \"label\": \"<string>\",\n \"score\": 50,\n \"passed\": true,\n \"reasoning\": \"\",\n \"criteria\": [],\n \"issues\": [],\n \"evidence\": []\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/evaluations/explain")
.header("cookie", "session=")
.header("Content-Type", "application/json")
.body("{\n \"evaluator_name\": \"<string>\",\n \"model_a\": {\n \"label\": \"<string>\",\n \"score\": 50,\n \"passed\": true,\n \"reasoning\": \"\",\n \"criteria\": [],\n \"issues\": [],\n \"evidence\": []\n },\n \"model_b\": {\n \"label\": \"<string>\",\n \"score\": 50,\n \"passed\": true,\n \"reasoning\": \"\",\n \"criteria\": [],\n \"issues\": [],\n \"evidence\": []\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/evaluations/explain")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"evaluator_name\": \"<string>\",\n \"model_a\": {\n \"label\": \"<string>\",\n \"score\": 50,\n \"passed\": true,\n \"reasoning\": \"\",\n \"criteria\": [],\n \"issues\": [],\n \"evidence\": []\n },\n \"model_b\": {\n \"label\": \"<string>\",\n \"score\": 50,\n \"passed\": true,\n \"reasoning\": \"\",\n \"criteria\": [],\n \"issues\": [],\n \"evidence\": []\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"explanation": "<string>",
"source": "model"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}Explain a score gap between two models
Writes one or two sentences explaining why two models scored differently on the same evaluator, from the judge’s own notes. Uses a small platform-funded model call against your organization’s platform allowance; when that isn’t available or fails, returns a factual description of the score difference with source: "heuristic".
Auth: session. Permission: run_agents or manage_agents.
POST
/
projects
/
{projectId}
/
evaluations
/
explain
Explain a score gap between two models
curl --request POST \
--url https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/evaluations/explain \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"evaluator_name": "<string>",
"model_a": {
"label": "<string>",
"score": 50,
"passed": true,
"reasoning": "",
"criteria": [],
"issues": [],
"evidence": []
},
"model_b": {
"label": "<string>",
"score": 50,
"passed": true,
"reasoning": "",
"criteria": [],
"issues": [],
"evidence": []
}
}
'import requests
url = "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/evaluations/explain"
payload = {
"evaluator_name": "<string>",
"model_a": {
"label": "<string>",
"score": 50,
"passed": True,
"reasoning": "",
"criteria": [],
"issues": [],
"evidence": []
},
"model_b": {
"label": "<string>",
"score": 50,
"passed": True,
"reasoning": "",
"criteria": [],
"issues": [],
"evidence": []
}
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
evaluator_name: '<string>',
model_a: {
label: '<string>',
score: 50,
passed: true,
reasoning: '',
criteria: [],
issues: [],
evidence: []
},
model_b: {
label: '<string>',
score: 50,
passed: true,
reasoning: '',
criteria: [],
issues: [],
evidence: []
}
})
};
fetch('https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/evaluations/explain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/evaluations/explain",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'evaluator_name' => '<string>',
'model_a' => [
'label' => '<string>',
'score' => 50,
'passed' => true,
'reasoning' => '',
'criteria' => [
],
'issues' => [
],
'evidence' => [
]
],
'model_b' => [
'label' => '<string>',
'score' => 50,
'passed' => true,
'reasoning' => '',
'criteria' => [
],
'issues' => [
],
'evidence' => [
]
]
]),
CURLOPT_COOKIE => "session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/evaluations/explain"
payload := strings.NewReader("{\n \"evaluator_name\": \"<string>\",\n \"model_a\": {\n \"label\": \"<string>\",\n \"score\": 50,\n \"passed\": true,\n \"reasoning\": \"\",\n \"criteria\": [],\n \"issues\": [],\n \"evidence\": []\n },\n \"model_b\": {\n \"label\": \"<string>\",\n \"score\": 50,\n \"passed\": true,\n \"reasoning\": \"\",\n \"criteria\": [],\n \"issues\": [],\n \"evidence\": []\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/evaluations/explain")
.header("cookie", "session=")
.header("Content-Type", "application/json")
.body("{\n \"evaluator_name\": \"<string>\",\n \"model_a\": {\n \"label\": \"<string>\",\n \"score\": 50,\n \"passed\": true,\n \"reasoning\": \"\",\n \"criteria\": [],\n \"issues\": [],\n \"evidence\": []\n },\n \"model_b\": {\n \"label\": \"<string>\",\n \"score\": 50,\n \"passed\": true,\n \"reasoning\": \"\",\n \"criteria\": [],\n \"issues\": [],\n \"evidence\": []\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/evaluations/explain")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"evaluator_name\": \"<string>\",\n \"model_a\": {\n \"label\": \"<string>\",\n \"score\": 50,\n \"passed\": true,\n \"reasoning\": \"\",\n \"criteria\": [],\n \"issues\": [],\n \"evidence\": []\n },\n \"model_b\": {\n \"label\": \"<string>\",\n \"score\": 50,\n \"passed\": true,\n \"reasoning\": \"\",\n \"criteria\": [],\n \"issues\": [],\n \"evidence\": []\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"explanation": "<string>",
"source": "model"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}Authorizations
The session cookie set when you sign in to AgentHub or ModelHub in a browser. The cookie name shown here is illustrative. There are no API tokens for these endpoints.
Path Parameters
Project id.
Body
application/json
Response
Explanation.
Show child attributes
Show child attributes